This function requests the plan group names and plans associated with each plan group for the given distributor code. This information is used to assign billing plans to an account.
GetPlanGroupInformation takes the arguments:
| Name | Schema Type | Description |
|---|---|---|
| DistributorCode | String | The Distributor Code that identifies the billing plan groups and plans. |
| DistributorPassword | String | The Distributor Password for the DistributorCode. |
Sample Request XML
POST /api/3.0/accountmanagement.asmx HTTP/1.1Host: docusign.netContent-Type: text/xml; charset=utf-8Content-Length: lengthSOAPAction: "http://www.docusign.net/API/AccountManagement/GetPlanGroupInformation"<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><GetPlanGroupInformation xmlns="http://www.docusign.net/API/AccountManagement"><DistributorCode>string</DistributorCode><DistributorPassword>string</DistributorPassword></GetPlanGroupInformation></soap:Body></soap:Envelope>
The function returns a list of the plan groups for the distributor code. A distributor code may have multiple plan groups associated with it and each of those plan groups may have multiple plans. The following information is included in the result:
| Name | Schema Type | Description |
|---|---|---|
| PlanGroupName | String | The name of the billing plan group. |
| PlanGroupPlans | PlanGroupPlan | A repeating list of the Plan Name and the Plan Group Plan ID for each plan group. |
Sample Response XML
HTTP/1.1 200 OKContent-Type: text/xml; charset=utf-8Content-Length: length<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><GetPlanGroupInformationResponse xmlns="http://www.docusign.net/API/AccountManagement"><GetPlanGroupInformationResult><PlanGroups><PlanGroup><PlanGroupName>string</PlanGroupName><PlanGroupPlans xsi:nil="true" /></PlanGroup><PlanGroup><PlanGroupName>string</PlanGroupName><PlanGroupPlans xsi:nil="true" /></PlanGroup></PlanGroups><Success>boolean</Success><Error><ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode><Description>string</Description></Error></GetPlanGroupInformationResult></GetPlanGroupInformationResponse></soap:Body></soap:Envelope>